GET
https://api.cryptohopper.com/v1/strategy/market/{strategy_id}
Returns one strategy the user bought on the Marketplace. market_id is its Marketplace item ID. The indicator config is not included.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/strategy/market/STRATEGY_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/strategy/market/STRATEGY_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/strategy/market/STRATEGY_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/strategy/market/STRATEGY_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
strategy_id |
string | Required | ID of the market strategy (id from Get market strategies). |
Response
{
"data": {
"type": "strategy",
"id": "384000",
"market_id": "45679",
"name": "Momentum strategy",
"description": "Buys on strong momentum",
"image": "https://cdn.cryptohopper.com/images/strategies/user/384000_2026-08-01-09-00-00.jpg",
"hidden_configuration": "0",
"created_date": "2026-08-01 09:00:00",
"link": "https://www.cryptohopper.com/marketplace/item?item_id=45679"
}
}